<!DOCTYPE html>
<html lang="fr">
<head>
{% include 'templates/favicon.html' %}
{% include 'templates/global.css.html' %}

    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Éducajou - Graduations</title>
    <link rel="stylesheet" href="style.css?version=COMMITHASH">
</head>
<body class="accueil-general">
{% include 'templates/widget_back_menu.html' %}
    


 

    <div id="haut">
        <a id="educajou" href="../"><img style="height: 100%;" src="images/educajou.png"></a>
        <img src="images/logo.svg" id="logo" onclick="retourAccueil()">    
        <span id='titre' onclick="retourAccueil()">Graduatux</span>
    </div>


    <div id="milieu">

      <div id="accueil">

        <div id="accueil-general" class="page-accueil">
          <div class="cadre" onclick="changeEcranAccueil('prof')">
            <h1>Enseignant</h1>
            <p>Affiche des repères A B C ...</p>
            <p>Affichage des réponses à la demande</p>
            <p>Avancée libre</p>
            <p><img src="images/demoprof.png"></p>
          </div>
          <div class="cadre" onclick="changeEcranAccueil('eleve')">
            <h1>Élève</h1>
            <p>Affiche les consignes</p>
            <p>Validation des réponses</p>
            <p>Suivi d'activité</p>
            <p><img src="images/demoeleve.png"></p>
          </div>
        </div>

        <div id="accueil-prof" class="page-accueil">
        <div class="zone-nav">
          <span class="nav" onclick="changeEcranAccueil('general')">Accueil</span>
          <span class="nav">></span>
          <span class="nav" onclick="changeEcranAccueil('prof')">Enseignant</span>
        </div>
        <div class="reglage-accueil">
          <h2>Droites graduées...</h2>
          <div class="boutons-access-direct">
              <button class="bouton-acces-direct decimale" onclick="clicBouton(-3)">de 0,001<br>en 0,001</button>
              <button class="bouton-acces-direct decimale" onclick="clicBouton(-2)">de 0,01<br>en 0,01</button>
              <button class="bouton-acces-direct decimale" onclick="clicBouton(-1)">de 0,1<br>en 0,1</button>
              <button class="bouton-acces-direct entier" onclick="clicBouton(0)">de 1<br>en 1</button>
              <button class="bouton-acces-direct entier" onclick="clicBouton(1)">de 10<br>en 10</button>
              <button class="bouton-acces-direct entier" onclick="clicBouton(2)">de 100<br>en 100</button>
              <button class="bouton-acces-direct grand" onclick="clicBouton(3)">de 1000<br>en 1000</button>
              <button class="bouton-acces-direct grand" onclick="clicBouton(4)">de 10000<br>en 10000</button>
              <button class="bouton-acces-direct grand" onclick="clicBouton(5)">de 100000<br>en 100000</button>
          </div>
        </div>
      
          <div class="reglage-accueil">
            <h2>Droites aléatoires ...</h2>
            <button class="bouton-commencer" onclick="commencer()">Commencer</button>
            <form class="formulaire-pas" onchange="majPas(true, this)">
              <!-- Première rangée -->
              <span class="case-log" onclick="inverseCase(this, event)">
                  <input type='checkbox' id="choix-pas-1" name="choix-pas" value="-3">
                  <label for="choix-pas-1">0,001</label>
              </span>
              <span class="case-log" onclick="inverseCase(this, event)">
                  <input type='checkbox' id="choix-pas-2" name="choix-pas" value="-2">
                  <label for="choix-pas-2">0,01</label>
              </span>
              <span class="case-log" onclick="inverseCase(this, event)">
                  <input type='checkbox' id="choix-pas-3" name="choix-pas" value="-1">
                  <label for="choix-pas-3">0,1</label>
              </span>
              <br>
              
              <!-- Deuxième rangée -->
              <span class="case-log" onclick="inverseCase(this, event)">
                  <input type='checkbox' id="choix-pas-4" name="choix-pas" value="0">
                  <label for="choix-pas-4">1</label>
              </span>
              <span class="case-log" onclick="inverseCase(this, event)">
                  <input type='checkbox' id="choix-pas-5" name="choix-pas" value="1">
                  <label for="choix-pas-5">10</label>
              </span>
              <span class="case-log" onclick="inverseCase(this, event)">
                  <input type='checkbox' id="choix-pas-6" name="choix-pas" value="2">
                  <label for="choix-pas-6">100</label>
              </span>
              <br>
              
              <!-- Troisième rangée -->
              <span class="case-log" onclick="inverseCase(this, event)">
                  <input type='checkbox' id="choix-pas-7" name="choix-pas" value="3">
                  <label for="choix-pas-7">1000</label>
              </span>
              <span class="case-log" onclick="inverseCase(this, event)">
                  <input type='checkbox' id="choix-pas-8" name="choix-pas" value="4">
                  <label for="choix-pas-8">10000</label>
              </span>
              <span class="case-log" onclick="inverseCase(this, event)">
                  <input type='checkbox' id="choix-pas-9" name="choix-pas" value="5">
                  <label for="choix-pas-9">100000</label>
              </span>
              <br>
          </form>
          
            
            
                     
        
          </div>

          <div class="reglage-accueil">
            <h2>Options</h2>
            <h3>Passage à<br>la graduation<br>supérieure</h3>
            <form class="formulaire-accueil-radio">
              <input type='radio' name="choix-passage" value='jamais' id="jamais" onchange="majPassage(this.value,true)">
              <label for="jamais">jamais</label><br>   
          
              <input type='radio' name="choix-passage" value='parfois' id="parfois" onchange="majPassage(this.value,true)">
              <label for="parfois">parfois</label><br>
          
              <input type='radio' name="choix-passage" value='toujours' id="toujours" onchange="majPassage(this.value,true)">
              <label for="toujours">toujours</label><br>         
            </form>
            <h3>Nombre de<br>questions<br>par exercice</h3>
            <input type="number" class="nombre-questions" min="1" max="6" onchange="majNombreQuestions(this.value)"> 
          </div>

        </div>

        <div id="accueil-eleve" class="page-accueil">
          <div class="zone-nav">
            <span class="nav" onclick="changeEcranAccueil('general')">Accueil</span>
            <span class="nav">></span>
            <span class="nav" onclick="changeEcranAccueil('eleve')">Élève</span>
          </div>
          <div class="reglage-accueil">
            <h2>Droites graduées...</h2>
            <div class="boutons-access-direct">
                <button class="bouton-acces-direct decimale" onclick="clicBouton(-3)">de 0,001<br>en 0,001</button>
                <button class="bouton-acces-direct decimale" onclick="clicBouton(-2)">de 0,01<br>en 0,01</button>
                <button class="bouton-acces-direct decimale" onclick="clicBouton(-1)">de 0,1<br>en 0,1</button>
                <button class="bouton-acces-direct entier" onclick="clicBouton(0)">de 1<br>en 1</button>
                <button class="bouton-acces-direct entier" onclick="clicBouton(1)">de 10<br>en 10</button>
                <button class="bouton-acces-direct entier" onclick="clicBouton(2)">de 100<br>en 100</button>
                <button class="bouton-acces-direct grand" onclick="clicBouton(3)">de 1000<br>en 1000</button>
                <button class="bouton-acces-direct grand" onclick="clicBouton(4)">de 10000<br>en 10000</button>
                <button class="bouton-acces-direct grand" onclick="clicBouton(5)">de 100000<br>en 100000</button>
            </div>
          </div>
        
            <div class="reglage-accueil">
              <h2>Droites aléatoires ...</h2>
              <button class="bouton-commencer" onclick="commencer()">Commencer</button>
              <form class="formulaire-pas" onchange="majPas(true, this)">
                <!-- Première rangée -->
                <span class="case-log" onclick="inverseCase(this, event)">
                    <input type='checkbox' id="choix-pas-1" name="choix-pas" value="-3">
                    <label for="choix-pas-1">0,001</label>
                </span>
                <span class="case-log" onclick="inverseCase(this, event)">
                    <input type='checkbox' id="choix-pas-2" name="choix-pas" value="-2">
                    <label for="choix-pas-2">0,01</label>
                </span>
                <span class="case-log" onclick="inverseCase(this, event)">
                    <input type='checkbox' id="choix-pas-3" name="choix-pas" value="-1">
                    <label for="choix-pas-3">0,1</label>
                </span>
                <br>
                
                <!-- Deuxième rangée -->
                <span class="case-log" onclick="inverseCase(this, event)">
                    <input type='checkbox' id="choix-pas-4" name="choix-pas" value="0">
                    <label for="choix-pas-4">1</label>
                </span>
                <span class="case-log" onclick="inverseCase(this, event)">
                    <input type='checkbox' id="choix-pas-5" name="choix-pas" value="1">
                    <label for="choix-pas-5">10</label>
                </span>
                <span class="case-log" onclick="inverseCase(this, event)">
                    <input type='checkbox' id="choix-pas-6" name="choix-pas" value="2">
                    <label for="choix-pas-6">100</label>
                </span>
                <br>
                
                <!-- Troisième rangée -->
                <span class="case-log" onclick="inverseCase(this, event)">
                    <input type='checkbox' id="choix-pas-7" name="choix-pas" value="3">
                    <label for="choix-pas-7">1000</label>
                </span>
                <span class="case-log" onclick="inverseCase(this, event)">
                    <input type='checkbox' id="choix-pas-8" name="choix-pas" value="4">
                    <label for="choix-pas-8">10000</label>
                </span>
                <span class="case-log" onclick="inverseCase(this, event)">
                    <input type='checkbox' id="choix-pas-9" name="choix-pas" value="5">
                    <label for="choix-pas-9">100000</label>
                </span>
                <br>
            </form>
            
              
              
                       
          
            </div>
  
            <div class="reglage-accueil">
              <h2>Options</h2>
              <h3>Passage à la<br>graduation supérieure</h3>
              <form class="formulaire-accueil-radio">
                <input type='radio' name="choix-passage" value='jamais' id="jamais" onchange="majPassage(this.value,true)">
                <label for="jamais">jamais</label><br>   
            
                <input type='radio' name="choix-passage" value='parfois' id="parfois" onchange="majPassage(this.value,true)">
                <label for="parfois">parfois</label><br>
            
                <input type='radio' name="choix-passage" value='toujours' id="toujours" onchange="majPassage(this.value,true)">
                <label for="toujours">toujours</label><br>         
              </form>
              <h3>Nombre de questions<br>par exercice</h3>
              <input type="number" class="nombre-questions" min="1" max="6" onchange="majNombreQuestions(this.value)"> 
            </div>
  
          </div>
        



      </div>


      <div id="menu" style="left: -415px;">
        <div class="section">
          <img src="images/logo.svg" style="height: 50px;"> <br>
          <button onclick="visibiliteMenu();retourAccueil()" style="background-image:url(images/accueil.svg)">Accueil</button> <br>
          <button onclick="visibiliteMenu();changeEcranAccueil('prof')" style="background-image:url(images/prof.svg)">Mode enseignant</button> <br>
          <button onclick="visibiliteMenu();changeEcranAccueil('eleve')" style="background-image:url(images/eleve.svg)">Mode élève</button> 
        </div>
               
        <div class="section">
            <button id="info" onclick="ouvre(divApropos)">À propos de Graduatux...</button>
        </div>

      </div>

      <div id="stats" style="right: -415px;">
  
        <p id="titre-stats">Activité</p>
        <div class="section" id="reussite">
        Réussite : <span id="taux-reussite"></span>
        </div>
        <div class="section" id="resultats"></div>
        <div class="section" id="stats-bas">
          <button id="bouton-effacer-stats" onclick="effaceStats()">Remise à zéro</button>
        </div>
      </div>

      <button id="replier-consigne" onclick="tailleConsigne()"></button>

        <div id="consigne" class="eleve">
          <span id="texte-consigne">Écris les nombres dans les bulles puis clique sur le bouton valider.</span>          
        </div>

        <div id="droite"></div>

       


    </div>

        
    <div id="bas">
      <span id="boutons-milieu-bas">
         <button id="bouton-valider" class="bouton-bas" onclick="valider()">✅ Valider</button>
         <button id="bouton-reponses" class="bouton-bas" onclick="valider(true)">Afficher les réponses</button>
         <button id="bouton-suivant" class="bouton-bas" onclick="suivant()">Suivant ⏭️</button>
      </span>
      <button id="bouton-menu" class='bouton-haut' onclick="visibiliteMenu('ouvre')"></button>
      <button id="bouton-stats" class='bouton-haut' onclick="visibiliteStats('ouvre')"></button>
    </div>


  


    <div id="darkbox" class="hide"></div>

    <div id="apropos" class="lightbox hide">
      <button class="bouton-fermer" onclick="ferme(divApropos)"></button>
      <h1>À propos</h1> <!-- Le  titre -->
      
      <div class="contenu-lightbox"> <!-- Le  contenu -->
            
        <ul>Gratuatux est une application sous licence libre, de la <a class="cartouche" style="background-image: url(images/educajou.png);" href="https://graduatux.forge.apps.education.fr/">suite Éducajou, écrite par Arnaud Champollion</a>.</ul> 
        <ul>La police utilisée pour les chiffres et les titres est <strong>EcritureA-Romain</strong> de <a class="cartouche" style="background-image: url(images/eduscol.svg);" href="https://eduscol.education.fr/204/polices-de-caracteres-cursives-pour-l-enseignement-de-l-ecriture">Éduscol</a> sous licence Creative Commons BY ND.</ul>
        <h2>Utiliser hors-ligne</h2>
            <ul>Télécharger l'application <a class="cartouche" style="background-image: url(images/zip.png);" href="https://forge.apps.education.fr/educajou/graduatux/-/archive/main/graduatux-main.zip">graduatux-main.zip</a></ul> 
            <ul>Extraire le ZIP</ul>
            <ul>Ouvrir le fichier index.html</ul>


        <h2>En savoir plus et accéder aux sources</h2>
            <ul>Voir <a class="cartouche" style="background-image: url(images/forge.png);" href="https://forge.apps.education.fr/educajou/graduatux">la page du projet</a> sur la Forge des Communs Numériques Éducatifs.</ul> 

                 
        <h2>Signaler un bug ou suggérer une amélioration</h2>
            <ul>Pour contribuer, vous pouvez ajouter <a href="https://forge.apps.education.fr/educajou/graduatux/-/issues">un ticket</a>.</ul> 
          </p>   
    </div>
    
    <script src="fonctions.js?version=COMMITHASH"></script>
    <script src="script.js?version=COMMITHASH"></script>
{% include 'templates/global.js.html' %}
</body>
</html>
